{
  services.gatus = {
    enable = true;
    openFirewall = true;
    settings = {
      web.port = 8080;
      metrics = true;
      endpoints = [
        {
          name = "jellyfin";
          url = "https://jellyfin.procopius.dk/health";
          interval = "5m";
          conditions = [
            "[STATUS] == 200"
            "[BODY] == Healthy"
            "[RESPONSE_TIME] < 300"
          ];
        }
        {
          name = "sonarr";
          url = "https://sonarr.procopius.dk/ping";
          interval = "5m";
          conditions = [
            "[STATUS] == 200"
            "[BODY].status == OK"
            "[RESPONSE_TIME] < 300"
          ];
        }
        {
          name = "radarr";
          url = "https://radarr.procopius.dk/ping";
          interval = "5m";
          conditions = [
            "[STATUS] == 200"
            "[BODY].status == OK"
            "[RESPONSE_TIME] < 300"
          ];
        }
        {
          name = "lidarr";
          url = "https://lidarr.procopius.dk/ping";
          interval = "5m";
          conditions = [
            "[STATUS] == 200"
            "[BODY].status == OK"
            "[RESPONSE_TIME] < 300"
          ];
        }
        {
          name = "readarr";
          url = "https://readarr.procopius.dk/ping";
          interval = "5m";
          conditions = [
            "[STATUS] == 200"
            "[BODY].status == OK"
            "[RESPONSE_TIME] < 300"
          ];
        }
        {
          name = "prowlarr";
          url = "https://prowlarr.procopius.dk/ping";
          interval = "5m";
          conditions = [
            "[STATUS] == 200"
            "[BODY].status == OK"
            "[RESPONSE_TIME] < 300"
          ];
        }
      ];
    };
  };
}
